Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud DNS
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ListOperations
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Query parameters
  • Response
  • DnsInboundEndpoint
  1. API reference
  2. REST
  3. DnsInboundEndpoint
  4. List

Cloud DNS API, REST: DnsInboundEndpoint.List

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • DnsInboundEndpoint

Retrieves the list of DNS inbound endpoints in the specified folder.

HTTP requestHTTP request

GET https://dns.api.cloud.yandex.net/dns/v1/inboundEndpoints

Query parametersQuery parameters

Field

Description

folderId

string

ID of the folder to list DNS inbound endpoints in.

The maximum string length in characters is 50.

pageSize

string (int64)

The maximum number of results per page to return.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set page_token to the value returned by a previous list request.

The maximum string length in characters is 1000.

filter

string

A filter expression that filters resources listed in the response.

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "endpoints": [
    {
      "id": "string",
      "folderId": "string",
      "createdAt": "string",
      "name": "string",
      "description": "string",
      "labels": "object",
      "networkId": "string",
      "address": "string",
      "addressId": "string",
      "status": "string",
      "deletionProtection": "boolean"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

endpoints[]

DnsInboundEndpoint

List of DNS inbound endpoints.

nextPageToken

string

Token for getting the next page of the list.

DnsInboundEndpointDnsInboundEndpoint

Field

Description

id

string

ID of the DNS inbound endpoint. Generated at creation time.

folderId

string

ID of the folder that the DNS inbound endpoint belongs to.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Name of the DNS inbound endpoint.
The name is unique within the folder.

description

string

Description of the DNS inbound endpoint.

labels

object (map<string, string>)

DNS inbound endpoint labels as key:value pairs.

networkId

string

ID of the network that the DNS inbound endpoint belongs to.

address

string

IP address of the DNS inbound endpoint.

addressId

string

ID of the address resource.

status

enum (Status)

Status of the DNS inbound endpoint.

  • PENDING: Endpoint is being created.
  • AVAILABLE: Endpoint is ready to use.
  • DELETING: Endpoint is being deleted.

deletionProtection

boolean

Prevents accidental endpoint removal.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.